> ## Documentation Index
> Fetch the complete documentation index at: https://docs.1px.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# confirm file upload

> call this after uploading the file to the presigned url to register it in the database.



## OpenAPI

````yaml /api-reference/openapi.json post /file/confirm
openapi: 3.1.0
info:
  title: 1px API
  description: minimalistic tools for the web.
  version: 1.0.0
  contact:
    name: 1px
    url: https://1px.ch
servers:
  - url: https://api.1px.ch
    description: production
security:
  - bearerAuth: []
paths:
  /file/confirm:
    post:
      summary: confirm file upload
      description: >-
        call this after uploading the file to the presigned url to register it
        in the database.
      operationId: confirmFileUpload
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  example: abc123
                content:
                  type: string
                  example: abc123.jpg
                size:
                  type: integer
                  example: 12345
              required:
                - id
                - content
      responses:
        '200':
          description: file confirmed
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
        '400':
          description: missing fields
        '401':
          description: missing or invalid api key
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: your 1px api key. get one from /dashboard/api

````